org.apache.sysds.hops.cost

## Enum CostEstimationWrapper.CostType

- java.lang.Object
- - java.lang.Enum<CostEstimationWrapper.CostType>
  - - org.apache.sysds.hops.cost.CostEstimationWrapper.CostType

All Implemented Interfaces:
  Serializable, Comparable<CostEstimationWrapper.CostType>

Enclosing class:
  CostEstimationWrapper

    public static enum CostEstimationWrapper.CostType
    extends Enum<CostEstimationWrapper.CostType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NUM_MRJOBS`
`STATIC`

### Method Summary

All Methods Static Methods Concrete Methods
`static CostEstimationWrapper.CostType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CostEstimationWrapper.CostType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NUM_MRJOBS

    public static final CostEstimationWrapper.CostType NUM_MRJOBS

#### STATIC

    public static final CostEstimationWrapper.CostType STATIC

### Method Detail

#### values

    public static CostEstimationWrapper.CostType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CostEstimationWrapper.CostType c : CostEstimationWrapper.CostType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CostEstimationWrapper.CostType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null